Properties Methods Events Config Options Direct Link

    ContainerLayout
      ToolbarLayout

# Class Ext.layout.ToolbarLayout

Package: | Ext.layout
Defined In: | ToolbarLayout.js
Class: | ToolbarLayout
Extends: | ContainerLayout

Layout manager used by Ext.Toolbar. This is highly specialised for use by Toolbars and would not usually be used by any other class.

## Config Options

Config Options | Defined By
--- | ---

extraCls : String
An optional extra CSS class that will be added to the container. This can be useful for adding customized styles to t...

An optional extra CSS class that will be added to the container. This can be useful for adding customized styles to the container or any of its children using standard CSS rules. See Ext.Component.ctCls also.

Note: `extraCls` defaults to `''` except for the following classes which assign a value by default:

- Absolute Layout : `'x-abs-layout-item'`
- Box Layout : `'x-box-item'`
- Column Layout : `'x-column'`

To configure the above Classes with an extra CSS class append to the default. For example, for ColumnLayout:

    extraCls: 'x-column custom-class'

ContainerLayout

| renderHidden : Boolean True to hide each contained item on render (defaults to false). | ContainerLayout

## Public Properties

Property | Defined By
--- | ---

activeItem : Ext.Component
A reference to the Ext.Component that is active. For example, if(myPanel.layout.activeItem.id == 'item-1') { ... } a...
A reference to the Ext.Component that is active. For example,

    if(myPanel.layout.activeItem.id == 'item-1') { ... }

`activeItem` only applies to layout styles that can display items one at a time (like Ext.layout.AccordionLayout, Ext.layout.CardLayout and Ext.layout.FitLayout). Read-only. Related to Ext.Container.activeItem.

ContainerLayout

fieldTpl : Ext.Template
The Ext.Template used by Field rendering layout classes (such as Ext.layout.FormLayout) to create the DOM structure o...
The Ext.Template used by Field rendering layout classes (such as Ext.layout.FormLayout) to create the DOM structure of a fully wrapped, labeled and styled form Field. A default Template is supplied, but this may be overriden to create custom field structures. The template processes values returned from Ext.layout.FormLayout.getTemplateArgs.

ContainerLayout

| hiddenItems : Array Holds all items that are currently hidden due to there not being enough space to render them These items will appear on the expand menu. | ToolbarLayout
| if : Object This monitorResize flag will be renamed soon as to avoid confusion with the Container version which hooks onWindowRes... This monitorResize flag will be renamed soon as to avoid confusion with the Container version which hooks onWindowResize to doLayout monitorResize flag in this context attaches the resize event between a container and it's layout | ContainerLayout
| noItemsMenuText : String HTML fragment to render into the toolbar overflow menu if there are no items to display | ToolbarLayout
| triggerWidth : Number The width allocated for the menu trigger at the extreme right end of the Toolbar | ToolbarLayout

## Public Methods

Method | Defined By
--- | ---

parseMargins( `Number|String v` ) : Object
Parses a number or string representing margin sizes into an object. Supports CSS-style margin declarations (e.g. 10, ...
Parses a number or string representing margin sizes into an object. Supports CSS-style margin declarations (e.g. 10, "10", "10 10", "10 10 10" and "10 10 10 10" are all valid options and would return the same result)
Parameters:

- `v` : Number|String
  The encoded margins

Returns:

- `Object`
  An object with margin sizes for top, right, bottom and left

ContainerLayout

## Public Events

This class has no public events.